PixAround Viewer

PixScreen

PixScreen allows you to view 360° PixAround scene and lets you control where and what you want to view. It allows you to pan, rotate and zoom in and out of the scene for an interactive and immersive experience, or print your PixAround scenes in normal or full 360° view.

For more information, visit our Website at www.pixaround.com The PixAround button at the bottom left of the PixScreen window will also bring you to our Website.

PixScreen uses the JPEG library provided by the Independent JPEG group.


Viewing a panorama

Viewing a 360° PixAround Scene

PixScreen can display any normal and cylindrical images in 24-bit JPEG format.

To load a PixAround Scene file, choose Open from the File menu. Select the file and click Open.

Control your view of the PixAround Scene with the buttons at the bottom of the window or with the mouse.

Viewing options

  • Choose how you want PixScreen to load and display files, by selecting Preferences from the View menu.
  • Choose another way to view the current PixAround Scene.
    • Auto Spin
      Spins the PixAround Scene automatically.
  • If the PixAround Scene is not displayed correctly (e.g. it's upside down); use the options on the Image menu to correct the view.


Correcting the view

If the PixAround Scene is not displayed correctly (e.g. it's upside down); use the options on the Image menu to flip or rotate it to the correct orientation.

If you know the PixAround Scene should show a 360° view but it is displayed only as a partial view, select "360°" from the Image Properties menu to correct the view.

When the reverse occurs, select "user defined". You will then be able to enter the number of degrees (if you know it), or let PixScreen "Make a Guess".


Setting preferences

Choose how you want PixScreen to load and display files, by selecting Preferences from the View menu.
Preferences window
Gradual Stop | To gradually or instantly stop spinning the view.
High quality viewing | PixScreen is able to render in high quality mode which reduces pixelation (blockiness) and shimmering. Pixelation is most obvious when you zoom in, and shimmering occurs when viewing PixAround scenes that has numerous tiny details (e.g. grass patch). However, high quality rendering may take a long time (causing jerkiness), depending on your computer. If you have a fast computer (e.g. a Pentium II 500Mhz), you may want to turn this on all the time, and conversely for slow machine, you may want to turn it off totally. A good trade-off is to do high quality rendering only when spinning stops. Try the options to see which you prefer.
Spin speed | How fast the view spins, when you drag with the mouse.
Zoom speed | How fast to zoom in and out.
AutoSpin speed | How fast the view spins, when AutoSpin is selected.
Automatic Spinning | To spin the view on loading a PixAround scene.
Zoom to max wide angle | To fit as much of the PixAround Scene as possible into the window. (This may result in a distorted view of the PixAround Scene.)


Using the mouse

  • To move around, hold down the left mouse button and drag.
  • To zoom in or out, hold down the right mouse button and drag mouse away or towards you.
    Note: if your mouse only has one button, hold down the Shift key and the mouse button, and drag mouse away or towards you.


Publishing

You can publish PixAround Scene for distribution in three different ways.

  • PixAround Webpages. Creates a simple PixAround Webpage, and copies the relevant PixAround Scene file (.jpg), PixAround Java Applet (µPixscreen.jar) to a user specified directory.
  • PixAround Postcard. A standalone executable which is self contained. You can freely distribute the newly created executable. A recepient of the PixAround Postcard does not need any other program to view your PixAround Scene. The PixAround Postcard is also protected by a virus prevention mechanism.
  • Print. You can print just the current view of a PixAround scene, or the entire scene in a single page or multiple pages. For proper printing, choose the appropriate options in "File..Page setup" first before printing.

    PixScreen uses its' current window resolution for printing "current view". You can increase the print resolution by resizing the window. Future version of PixScreen will depends solely on the JPEG size, and not the current window size.

    For printing the entire scene, the resolution depends solely on the source JPEG size, giving you the best quality available.


Using slide show tools

Using Slide Show

  • Slide show loads and shows all Pixaround Scenes within a directory one at a time, and is ideal for showing off your PixAround scenes automatically.
  • To begin, select a file in the directory of interest, and PixScreen will start showing all the files in that directory. Pressing PageUp or PageDown goes to previous/next PixAround scene.
  • Slide Show speed can be adusted by changing the AutoSpin Speed and Spin Speed in View Preferences.